<html><head></head><body><div style="font-family: Verdana;font-size: 12.0px;"><div> 
<div>
<div>Bummer that the software stack says GNOME. </div>

<div><a href="https://developer.puri.sm/Librem5/Software_Reference.html#software-reference">https://developer.puri.sm/Librem5/Software_Reference.html#software-reference</a></div>

<div> </div>

<div>If I were Qt (I'm not) I'd look at preparing my own software stack... Who ever got the Nokia N9 (MeeGo) code? I loved that phone!</div>

<div> </div>

<div name="quote" style="margin:10px 5px 5px 10px; padding: 10px 0 10px 10px; border-left:2px solid #C3D9E5; word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space;">
<div style="margin:0 0 10px 0;"><b>Sent:</b> Wednesday, September 11, 2019 at 10:08 AM<br/>
<b>From:</b> "Shawn Rutledge" <Shawn.Rutledge@qt.io><br/>
<b>To:</b> "Qt development mailing list" <development@qt-project.org><br/>
<b>Subject:</b> Re: [Development] i.MX8 embedded Linux support</div>

<div name="quoted-content">
<div> 
<div>
<blockquote>
<div>On 11 Sep 2019, at 14:53, Zeno Endemann via Development <<a href="mailto:development@qt-project.org" onclick="parent.window.location.href='mailto:development@qt-project.org'; return false;" target="_blank">development@qt-project.org</a>> wrote:</div>
 

<div>
<div>Hi,<br/>
<br/>
So unless I misunderstand something, for the i.MX8 NXP/Vivante changed their proprietary graphic stack significantly. The framebuffer and X11 driver are deprecated, only Wayland will be supported, and they have switched from the Linux framebuffer interface to (a fork of) libdrm.<br/>
<br/>
I was able to run a Qt Quick application on an i.MX8M Mini using this new infrastructure, i.e. using the regular eglfs_kms platform plugin. So I am wondering if the qtbase configure script should be adapted to detect i.MX8, and for that not build eglfs_viv, eglfs_viv_wl and eglfs_kms_egldevice anymore.<br/>
  <br/>
Or more generally I'd like to ask if there is already further work or information on supporting embedded Linux on i.MX8. For example, I suppose the yocto layer needs some updates to reflect all this.</div>
</div>
</blockquote>
</div>

<div>This phone will use i.MX8 <a href="https://puri.sm/products/librem-5/" target="_blank">https://puri.sm/products/librem-5/</a> and I think Plasma Mobile is intended to run on it, so that may become relevant to me pretty soon since I have one on order… but I didn’t investigate the software stack much yet.  Early dev boards had an i.MX6: <a href="https://dot.kde.org/2017/09/14/plasma-mobile-and-purisms-librem-5-free-smartphone" target="_blank">https://dot.kde.org/2017/09/14/plasma-mobile-and-purisms-librem-5-free-smartphone</a> <a href="https://puri.sm/posts/librem5-progress-report-9/" target="_blank">https://puri.sm/posts/librem5-progress-report-9/</a> and were using etnaviv with it.  I think they still are using etnaviv.  <a href="https://www.omgubuntu.co.uk/2019/07/purism-librem-5-specs-confirmed" target="_blank">https://www.omgubuntu.co.uk/2019/07/purism-librem-5-specs-confirmed</a></div>
_______________________________________________ Development mailing list Development@qt-project.org <a href="https://lists.qt-project.org/listinfo/development" target="_blank">https://lists.qt-project.org/listinfo/development</a></div>
</div>
</div>
</div>
</div></div></body></html>